package s1v0001

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
)

// Up migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (affected int, err error) {
	_, err = db.Collection("twilio").Indexes().CreateOne(ctx, mongo.IndexModel{
		Keys: bson.D{
			{Key: "call_sid", Value: 1},
		},
		Options: options.Index().SetUnique(true),
	})

	return -1, err
}
