package restapi

import "encoding/xml"

type Gather struct {
	Timeout   string `xml:"timeout,attr,omitempty"`
	NumDigits string `xml:"numDigits,attr,omitempty"`
	Play      *Play  `xml:"Play,omitempty"`
}

type Play struct {
	Loop int    `xml:"loop,attr,omitempty"`
	Text string `xml:",innerxml"`
}

type Dial struct {
	Text string `xml:",innerxml"`
}

type Response struct {
	XMLName xml.Name `xml:"Response"`
	Play    []*Play  `xml:"Play,omitempty"`
	Gather  *Gather  `xml:"Gather,omitempty"`
	Dial    *Dial    `xml:"Dial,omitempty"`
}
