package schema

import (
	"gitlab.mashplace.com/mashroom/backend/common/generic/migrations"
	migrationsMongo "gitlab.mashplace.com/mashroom/backend/common/generic/migrations/mongo"
	"gitlab.mashplace.com/mashroom/backend/twilio/internal/model/mongo/migrations/schema/s1v0001"
)

var migrationList = []migrations.Migration{
	&migrationsMongo.Migration{
		Version: "v0",
		Up:      migrationsMongo.NoOp,
	},
	&migrationsMongo.Migration{
		Version: "v1",
		Up:      s1v0001.Up,
	},
}

// Migrations returns migration list
func Migrations() (ms []migrations.Migration) {
	return migrationList
}
